// EOArrayDataSource.h
// Copyright (c) 1995, NeXT Software, Inc. All rights reserved. 

#import <EOControl/EODataSource.h>

@class EOEditingContext;
@class EOClassDescription;

@interface EOArrayDataSource : EODataSource <NSCoding>
{
    NSMutableArray *_objects;
    EOEditingContext *_context;
    EOClassDescription *_classDescription;
}

- initWithClassDescription:(EOClassDescription *)classDescription editingContext:(EOEditingContext *)context;

- (void)setArray:(NSArray *)array;

@end
