// _EOCheapCopyArray.h
// Copyright (c) 1995, NeXT Software, Inc. All rights reserved. 

#import <Foundation/Foundation.h>

@interface EOCheapCopyArray : NSArray
{
    unsigned int _count;
    id *_realArray;
    unsigned int _refcount;
}

- initWithObjects:(id *)objects count:(unsigned)count;
    // Used by Foundation for all init methods...
@end

@interface EOCheapCopyMutableArray : NSMutableArray
{
    unsigned _count;
    id *_realArray;
    unsigned _maxCount;
    id _immutableCopy;
}

- initWithObjects:(id *)objects count:(unsigned)count;
    // Used by Foundation for all init methods...

- (NSArray *)shallowCopy;
    // Always return the same copy

- (void)_setCopy:(NSArray *)object;
    // Set the copy returned by shallowCopy.
@end


