/*
 * Copyright (c) 1996, NeXT Software, Inc.
 * All Rights Reserved.
 */

#ifndef JAVA_MAP_H
#define JAVA_MAP_H

/*
 * Mapping between NSStrings and java Strings.
 */
JOBJC_EXPORT JAVAHandle _NSStringToJavaString (id objcString);
JOBJC_EXPORT id _JavaStringToNSString (JAVAHandle javaStringHandle);

/*
 * Mapping between NSNumbers and java Numbers
 */
JOBJC_EXPORT JAVAHandle _NSNumberToJavaNumber (id objcNumber);
JOBJC_EXPORT id _JavaNumberToNSNumber (JAVAHandle javaNumberHandle);

/*
 * Mapping between Objc selectors and java strings.
 */
JOBJC_EXPORT SEL _NSConvertSelFromJava (JAVAHandle selectorHandle);
JOBJC_EXPORT JAVAHandle _NSConvertSelToJava (SEL sel);
JOBJC_EXPORT JAVAHandle _NSConvertSelToJavaFromStack (SEL *sel, int *argSize);

/*
 * Exceptions
 */
JOBJC_EXPORT NSException *_JavaExceptionToNSException (JAVAHandle javaExceptionHandle);
JOBJC_EXPORT JAVAHandle _NSExceptionToJavaException (NSException *except);


#endif JAVA_MAP_H
